### Method

# RB RhythmDBEntry apply_cached_metadata

#### Declaration [src]

    void
    rhythmdb_entry_apply_cached_metadata (
      RhythmDBEntry* entry,
      GArray* metadata
    )

#### Description [src]

Applies a set of metadata properties to `entry`. The metadata should be in the form returned by `rhythmdb_entry_type_fetch_metadata`.

#### Parameters

`metadata`

  Type: An array of `None`

  Cached metadata to apply.

  The data is owned by the caller of the method.